<div>
    <h2>
        <span>Surat Tukar Guling</span>
        <button class="btn btn-primary float-right jh-create-entity"
            [routerLink]="['/tukar-guling-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Tukar Guling
            </span>
        </button>
    </h2>
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                        (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                        [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                        (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1></p-autoComplete>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">PIC</label>
                                </div>
                                <div class="ui-g-8">
                                    <select id="jenis1" class="form-control" name="pic" [(ngModel)]="pic">
                                        <option [ngValue]="divitionOption.value"
                                            *ngFor="let divitionOption of picJenis">
                                            {{divitionOption.label}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Status Klaim</label>
                                </div>
                                <div class="ui-g-8">
                                    <select id="jenis1" class="form-control" name="jenis" [(ngModel)]="jenis">
                                        <option [ngValue]="divitionOption.value"
                                            *ngFor="let divitionOption of jenisStatus">
                                            {{divitionOption.label}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_mail">Sudah Email ?</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-dropdown [options]="isEmail" [(ngModel)]="selectedMail" id="field_mail"
                                        [style]="{'width':'100%'}">
                                    </p-dropdown>
                                </div>
                            </div>

                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari Tukar Guling atau Nama Supplier">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
            <br />
            <button class="btn btn-primary" *jhiHasAnyAuthority="['ROLE_SEND_MAIL']" (click)="setmail()"
                [disabled]="selected.length === 0">
                <span class="fa fa-envelope"></span>
                <span class="hidden-sm-down">
                    Update Sudah Email
                </span>
            </button>
            <button class="btn btn-primary" *jhiHasAnyAuthority="['ROLE_MGR_PRC']" (click)="approveEdit()"
                [disabled]="selected.length === 0">
                <span class="fa fa-pencil"></span>
                <span class="hidden-sm-down">
                    Approve Edit
                </span>
            </button>
        </div>
    </div>
    <br />
    <div>
        <p-dataTable [value]="returs" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            row="itemsPerPage" totalRecords="totalItems" dataKey="idretur" expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
            <p-header>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}">
            </p-column>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Surat Retur">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.noretur}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtcreated | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Pembuat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nm_supplier}}
                </ng-template>
            </p-column>
            <p-column header="PIC">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Email">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.is_email}}
                </ng-template>
            </p-column>
            <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.status_desc}}
                </ng-template>
            </p-column>
            <p-column header="Aksi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div class="ui-g-3">
                        <button pButton type="button" [routerLink]="['../tukar-guling/'+rowData.idretur+'/false']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Retur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <div class="ui-g-3" *ngIf="rowData.statustype === 10 || rowData.statustype === 12">
                        <button pButton type="button" [routerLink]="['../tukar-guling/'+rowData.idretur+'/true']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Retur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <div class="ui-g-3">
                        <button pButton type="button" icon="fa-print" (click)="cetakRetur(rowData)" class="flat-button"
                            pTooltip="Cetak Surat Retur" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <div class="ui-g-3">
                        <button pButton type="button" icon="fa-download" (click)="downloadRetur(rowData)"
                            class="flat-button" pTooltip="Download Surat Retur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <!-- <div class="ui-g-3">
                        <button pButton type="button" icon="fa-download" (click)="downloadRetur(rowData)"
                            class="flat-button" pTooltip="Cetak Retur" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div> -->
                    <div class="ui-g-3" *ngIf="rowData.statustype === 10 || rowData.statustype === 12">
                        <button pButton type="button" icon="fa-share" (click)="setstatus(29, rowData)"
                            class="flat-button" pTooltip="Request Approve"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <div class="ui-g-3" *ngIf="rowData.status_desc === 'Approve'">
                        <button pButton type="button" icon="fa-close" (click)="setstatus(13, rowData)"
                            class="flat-button" pTooltip="Cancel Retur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
                        </button>
                    </div>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
</div>
<p-confirmDialog></p-confirmDialog>